System Management Controller API
GET smc
Summary
Get the current status of the SMC system
URL
GET /api/smc
Responses
- 200: Success - Ok
- 404: Not found
- 500: Check the response body for error details
Response Body
{
"[Time Elapsed (post-boot)]": "ETH_MGMT Enumerated"
}
POST smc
Summary
Update the status of the SMC system
Note: Here for consistency but of no real use in practice
URL
POST /api/smc
Request Body
{
"[Time Elapsed (post-boot)]": "ETH_MGMT Enumerated"
}
Responses
- 201: Success - Created
- 401: Unauthorized - Please login for access
- 500: Check the response body for error details
Response Body
{
"message": "ok"
}
POST smc/clear/all
Summary
Clears all the data in the SMC database including user accounts
There is no undo.
URL
POST /api/smc/clear/all
Responses
- 200: Success - Ok
- 401: Unauthorized - Please login for access
- 500: Check the response body for error details
Response Body
{
"message": "ok"
}
POST smc/enable/downgrade
Summary
Restart SWUpdate process to permit downgrading SMC version below permitted version
WARNING: This may cause unrecoverable error
URL
POST /api/smc/enable/downgrade
Responses
- 200: Success - Ok
- 401: Unauthorized - Please login for access
- 500: Check the response body for error details
Response Body
{
"message": "ok"
}